#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  kio-extras-21.12.2

- Next

  Konsole-21.12.2

- Up
- Home

# Khelpcenter-21.12.2

## Introduction to Khelpcenter

Khelpcenter is an application to show KDE Applications' documentation.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/21.12.2/src/khelpcenter-21.12.2.tar.xz

- Download MD5 sum: 0e8e2fd07c9ebde52f1182278342d600

- Download size: 4.1 MB

- Estimated disk space required: 26 MB

- Estimated build time: 0.2 SBU (using parallelism=4)

### Khelpcenter Dependencies

#### Required

grantlee-5.2.0, KDE Frameworks-5.91.0, libxml2-2.9.13, and xapian-1.4.19

#### Recommended

kio-extras-21.12.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/khelpcenter

## Installation of Khelpcenter

Install khelpcenter by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install  &&

    mv -v $KF5_PREFIX/share/kde4/services/khelpcenter.desktop /usr/share/applications/ &&
    rm -rv $KF5_PREFIX/share/kde4

## Contents

Installed Program: khelpcenter
Installed Libraries: libkdeinit5_khelpcenter.so
Installed Directories: $KF5_PREFIX/share/khelpcenter, $KF5_PREFIX/share/kxmlgui5/khelpcenter, and $KF5_PREFIX/share/doc/HTML/*/{khelpcenter,fundamentals,onlinehelp}

### Short Descriptions

khelpcenter | is the help viewer for KDE applications

Last updated on

- Prev

  kio-extras-21.12.2

- Next

  Konsole-21.12.2

- Up
- Home